
/* is.c by psycho. */


#include <stdio.h>
#include <doslib.h>
#include <iocslib.h>

#define TRUE  (1)
#define FALSE (0)


int main ( int argc , char *argv[] )

{

	int i,j,DATE,TIME ;
	struct FREEINF fr;


	DATE = DATEBIN( BINDATEGET() ) ;		/* wwwwyyyy yyyyyyyy mmmmmmmm dddddddd */
	TIME = TIMEBIN( TIMEGET() & 0xffffff );	/* 00000000 hhhhhhhh mmmmmmmm ssssssss */


	for( i=1 ; i<argc ; i++ )
		{
		j = 0 ;

		while( argv[i][j] != 0 )
			{
			switch ( argv[i][j] )
				{

				case 'd':
				return ( ( DATE >> 28 ) & 0x0f ) ;

				case 'Y':
				return ( ( DATE >> 16 ) & 0x0fff ) ;

				case 'M':
				return ( ( DATE >> 8 ) & 0xff ) ;

				case 'D':
				return ( ( DATE ) & 0xff ) ;

				case 'h':
				return ( ( TIME >> 16 ) & 0xff ) ;

				case 'm':
				return ( ( TIME >> 8 ) & 0xff ) ;

				case 's':
				return ( TIME & 0xff ) ;

				case 'r':		/* random */
				return ( TIME & 1 ) ;

				case 'f':
				return ( chkml() / 1024 ) ;

				case 'F':
				return ( DSKFRE ( 0 , &fr ) / 1024 ) ;

				case '?':
				usage();
				return 0;

				default :
				break;

				}


			j++ ;

			}

		}


	{
	char buff[32];

	DATEASC ( ( DATE & 0x1fffffff ) | 0x10000000 , &buff[0] ) ;
	buff[10] = ' ' ;
	DAYASC  ( ( DATE >> 28 ) & 0x0f , &buff[11] ) ;
	buff[13] = ' ' ;
	TIMEASC ( TIME , &buff[14] ) ;

	fputs ( buff , stderr ) ;
	fputs ( "\n" , stderr ) ;

	}


	return 0 ;

}

int usage( void )

{

	fputs ( "X68k is.x  1993 psycho.\n" , stderr ) ;

	return 0;

}

